Subject: [Tsvwg] IP fragmentation in relation with TCP

From: fabien passilly <[email-masked]>
Date: Fri, 1 Mar 2002 10:22:38 +0100 (CET)

Hello,

I have one question concerning IP fragmentation in
relation with the upper protocols UDP and TCP.

I know that IP fragmentation should be classically
implemented "under" the IP layer (without any
distinction between the upper protocols) but I would
like to get a clarification on a particular point:

- for UDP, I can understand the utility of IP
fragmentation; 

- however it is not clear for TCP. Indeed in this
protocol, the packet size is already managed in a way
to avoid sending packets bigger than the MTU size
(through the MSS value). What can an IP fragmentation
mechanism bring as advantages?? Especially if we
consider that, if the IP fragmentation mechanism is
based on the MTU size (as the biggest size that could
be sent), the IP (under TCP) packets may never be
fragmented.

I thank you in advance for your answer,

Best Regards,

F. Passilly

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg